Skip to main content
GET
/
v2
/
workflow
/
get-task
Retrieve a task
curl --request GET \
  --url https://api.browseract.com/v2/workflow/get-task \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.browseract.com/v2/workflow/get-task"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.browseract.com/v2/workflow/get-task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "steps": [
    {
      "id": "<string>",
      "step": 123,
      "evaluation_previous_goal": "<string>",
      "step_goal": "<string>",
      "screenshots_url": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "workflow_id": "<string>",
  "output": {
    "string": "{\"items\":[...]}",
    "files": [
      "<string>"
    ]
  },
  "live_url_info": {
    "width": 1280,
    "height": 720,
    "live_url": "https://live.browseract.com/task/task_123..."
  },
  "live_url": "<string>",
  "profile_id": "<string>",
  "finished_at": "2023-11-07T05:31:56Z",
  "task_failure_info": {
    "code": 10001,
    "message": "Navigation timeout"
  },
  "credit": 123,
  "download_files": [
    {
      "guid": "<string>",
      "fileName": "<string>",
      "fileSize": 123,
      "status": "<string>",
      "progress": 123,
      "downloadUrl": "<string>",
      "downloadStartTime": 123,
      "downloadCompletedTime": 123,
      "expiresAt": 123,
      "errorMessage": "<string>",
      "createTime": 123
    }
  ],
  "files_expires_at": 123,
  "input_parameters": "<string>",
  "log_detail_url": "<string>"
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}
{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

task_id
string
required

Task ID returned by run-task or run-task-by-template.

Minimum string length: 1

Response

OK

Full task details, including step-level progress and outputs (when available).

id
string
required

Task ID

status
enum<string>
required

Current task status.

  • created: Task is created but not yet running
  • running: Task is currently executing
  • finished: Task completed successfully
  • canceled: Task was canceled (e.g., via Stop Task)
  • pausing: Task is transitioning into paused state
  • paused: Task is paused and can be resumed
  • failed: Task ended with an error
  • unknown: Unknown or unsupported status
Available options:
created,
running,
finished,
canceled,
pausing,
paused,
failed,
unknown
steps
object[]
required

Steps executed within the task.

created_at
string<date-time>
required

Task creation time

workflow_id
string
required

Workflow ID

output
object

Present only when the task has ended.

live_url_info
object

Present only when the task is running.

live_url
string
deprecated

Deprecated. Use live_url_info.live_url instead.

profile_id
string

Browser profile ID for reusing browser data.

finished_at
string<date-time>

Task finish time (if ended)

task_failure_info
object

Failure details. Present only when the task status is failed.

credit
integer<int64>

Credits consumed by this task.

download_files
object[]

Files generated by the task (if any).

files_expires_at
integer<int64>

Expiration timestamp for download files.

input_parameters
string

Input parameters used for this run, as key=value pairs.

log_detail_url
string

URL to detailed execution logs for this task.